package com.global.iop.util;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.global.iop.util.FileItem;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

class LocalContract implements FileItem.Contract {
  private File file;
  
  public LocalContract(File file) {
    this.file = file;
  }
  
  public boolean isValid() {
    return (this.file != null && this.file.exists() && this.file.isFile());
  }
  
  public String getFileName() {
    return this.file.getName();
  }
  
  public String getMimeType() {
    return "application/octet-stream";
  }
  
  public long getFileLength() {
    return this.file.length();
  }
  
  public void write(OutputStream output) throws IOException {
    InputStream input = null;
    try {
      input = new FileInputStream(this.file);
      byte[] buffer = new byte[4096];
      int n = 0;
      while (-1 != (n = input.read(buffer)))
        output.write(buffer, 0, n); 
    } finally {
      if (input != null)
        input.close(); 
    } 
  }
}
